# LedgerQueueData | xrpl
Documentation for xrpl

# Interface LedgerQueueData

#### Hierarchy

- LedgerQueueData

- Defined in packages/xrpl/src/models/methods/ledger.ts:83

#####
Index

### Properties

account
auth_change?
fee?
fee_level?
last_result?
max_spend_drops?
preflight_result
retries_remaining
tx

## Properties

### account

account: string

- Defined in packages/xrpl/src/models/methods/ledger.ts:84

### `Optional` auth_change

auth_change?: boolean

- Defined in packages/xrpl/src/models/methods/ledger.ts:92

### `Optional` fee

fee?: string

- Defined in packages/xrpl/src/models/methods/ledger.ts:93

### `Optional` fee_level

fee_level?: string

- Defined in packages/xrpl/src/models/methods/ledger.ts:94

### `Optional` last_result

last_result?: string

- Defined in packages/xrpl/src/models/methods/ledger.ts:91

### `Optional` max_spend_drops

max_spend_drops?: string

- Defined in packages/xrpl/src/models/methods/ledger.ts:95

### preflight_result

preflight_result: string

- Defined in packages/xrpl/src/models/methods/ledger.ts:90

### retries_remaining

retries_remaining: number

- Defined in packages/xrpl/src/models/methods/ledger.ts:89

### tx

tx: TransactionAndMetadata | LedgerModifiedOfferCreateTransaction | {
tx_blob: string;
}

#### Type declaration

- ##### tx_blob: string

- Defined in packages/xrpl/src/models/methods/ledger.ts:85

Generated using TypeDoc